/*
 * tp_files.h
 *
 *  Created on: Mar 25, 2025
 *      Author: elphel
 */

#ifndef SRC_TP_FILES_H_
#define SRC_TP_FILES_H_
#include <fstream>
#include <iterator>
#include <vector>

int get_file_size(std::string filename); // path to file
int readFloatsFromFile(float *       data, // allocated array
					   const char *  path); // file path
float * readAllFloatsFromFile(const char *  path,
		int * len_in_floats);
int writeFloatsToFile(float *       data, // allocated array
		               int           size, // length in elements
					   const char *  path); //  file path
#endif /* SRC_TP_FILES_H_ */
